#pragma once

#include "stdafx.h"

#include "Includes.h"

#include "Defines.h"

using namespace std;

// CMasterOfMagicEditorDlg dialog
class CMasterOfMagicEditorDlg : public CDialogEx
{
// Construction
public:
	CMasterOfMagicEditorDlg(CWnd* pParent = NULL);	// standard constructor
	bool CMasterOfMagicEditorDlg::SBitdraw(CDC *pDC, UINT nIDResource, int i);
// Dialog Data
	enum { IDD = IDD_MASTEROFMAGICEDITOR_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnQuit();
	afx_msg void OnSections();
	afx_msg void OnSettings();
	afx_msg void OnAbout();
	afx_msg void OnClose();
	virtual BOOL DestroyWindow();
};

// CitemPwrEdit dialog

class CitemPwrEdit : public CDialogEx
{
	DECLARE_DYNAMIC(CitemPwrEdit)

public:
	CitemPwrEdit(CWnd* pParent = NULL);   // standard constructor
	virtual ~CitemPwrEdit();

// Dialog Data
	enum { IDD = IDD_ITEM_POWERS_EDIT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
	afx_msg void OnBnClickedOk();
	afx_msg void OnClickedIdok2();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton8();
};


// CItemPwr dialog

class CItemPwr : public CDialogEx
{
	DECLARE_DYNAMIC(CItemPwr)

public:
	CItemPwr(CWnd* pParent = NULL);   // standard constructor
	virtual ~CItemPwr();

// Dialog Data
	enum { IDD = IDD_ITEM_POWERS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:
	CListCtrl m_Item_List;
	afx_msg void OnLvnLinkClickedItemPwrList(NMHDR *pNMHDR, LRESULT *pResult);
};

// CBuildingEdit dialog

class CBuildingEdit : public CDialogEx
{
	DECLARE_DYNAMIC(CBuildingEdit)

public:
	CBuildingEdit(CWnd* pParent = NULL);   // standard constructor
	virtual ~CBuildingEdit();

// Dialog Data
	enum { IDD = IDD_BUILDING_EDIT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedOk2();
	afx_msg void OnBnClickedOk();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
};

// CBuilding dialog


class CBuilding : public CDialogEx
{
	DECLARE_DYNAMIC(CBuilding)

public:
	CBuilding(CWnd* pParent = NULL);   // standard constructor
	virtual ~CBuilding();

// Dialog Data
	enum { IDD = IDD_BUILDINGS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:
	afx_msg void OnLvnLinkClickedBuildingList(NMHDR *pNMHDR, LRESULT *pResult);
};

// CSpellEdit dialog

class CSpellEdit : public CDialogEx
{
	DECLARE_DYNAMIC(CSpellEdit)

public:
	CSpellEdit(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSpellEdit();

// Dialog Data
	enum { IDD = IDD_SPELL_EDIT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

public:
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
};

// CSpell dialog

class CSpell : public CDialogEx
{
	DECLARE_DYNAMIC(CSpell)

public:
	CSpell(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSpell();

// Dialog Data
	enum { IDD = IDD_SPELLS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:
	afx_msg void OnLvnLinkClickedSpellList(NMHDR *pNMHDR, LRESULT *pResult);
};

// CUnitEdit dialog

class CUnitEdit : public CDialogEx
{
	DECLARE_DYNAMIC(CUnitEdit)

public:
	CUnitEdit(CWnd* pParent = NULL);   // standard constructor
	virtual ~CUnitEdit();

// Dialog Data
	enum { IDD = IDD_UNIT_EDIT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
public:
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedButton9();
	afx_msg void OnBnClickedButton10();
	afx_msg void OnBnClickedButton11();
	afx_msg void OnBnClickedButton12();
	afx_msg void OnBnClickedButton13();
	afx_msg void OnBnClickedButton14();
	afx_msg void OnBnClickedButton15();
	afx_msg void OnBnClickedButton16();
	afx_msg void OnBnClickedButton17();
	afx_msg void OnBnClickedButton18();
	afx_msg void OnBnClickedButton19();
	afx_msg void OnBnClickedOk2();
	afx_msg void OnBnClickedOk();
};

// CUnits dialog


class CUnits : public CDialogEx
{
	DECLARE_DYNAMIC(CUnits)

public:
	CUnits(CWnd* pParent = NULL);   // standard constructor
	virtual ~CUnits();

// Dialog Data
	enum { IDD = IDD_UNITS};

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:
	afx_msg void OnLvnLinkClickedUnitsList(NMHDR *pNMHDR, LRESULT *pResult);
};

// CRaceEdit dialog

class CRaceEdit : public CDialogEx
{
	DECLARE_DYNAMIC(CRaceEdit)

public:
	CRaceEdit(CWnd* pParent = NULL);   // standard constructor
	virtual ~CRaceEdit();

// Dialog Data
	enum { IDD = IDD_RACE_EDIT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedButton9();
	afx_msg void OnBnClickedButton11();
	afx_msg void OnBnClickedButton12();
	afx_msg void OnBnClickedOk2();
	afx_msg void OnBnClickedOk();
};


// RaceData dialog

class CRaceData : public CDialogEx
{
	DECLARE_DYNAMIC(CRaceData)

public:
	CRaceData(CWnd* pParent = NULL);   // standard constructor
	virtual ~CRaceData();

// Dialog Data
	enum { IDD = IDD_RACE_DATA };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:
	afx_msg void OnLvnLinkClickedRaceDataList(NMHDR *pNMHDR, LRESULT *pResult);
};

// CUpkeepEdit dialog

class CUpkeepEdit : public CDialogEx
{
	DECLARE_DYNAMIC(CUpkeepEdit)

public:
	CUpkeepEdit(CWnd* pParent = NULL);   // standard constructor
	virtual ~CUpkeepEdit();

// Dialog Data
	enum { IDD = IDD_UPKEEP__EDIT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
	afx_msg void OnBnClickedOk2();
	afx_msg void OnBnClickedOk();
};

// CUpkeepCost dialog

class CUpkeepCost : public CDialogEx
{
	DECLARE_DYNAMIC(CUpkeepCost)

public:
	CUpkeepCost(CWnd* pParent = NULL);   // standard constructor
	virtual ~CUpkeepCost();

// Dialog Data
	enum { IDD = IDD_UPKEEP };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
	afx_msg void OnBnClickedOk();

public:
	afx_msg void OnLvnLinkClickedUpkeepList(NMHDR *pNMHDR, LRESULT *pResult);
};

// CSpellID dialog


class CSpellID : public CDialogEx
{
	DECLARE_DYNAMIC(CSpellID)

public:
	CSpellID(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSpellID();

// Dialog Data
	enum { IDD = IDD_SPELL_NUMBERS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CHeroStatsEdit dialog

class CHeroStatsEdit : public CDialogEx
{
	DECLARE_DYNAMIC(CHeroStatsEdit)

public:
	CHeroStatsEdit(CWnd* pParent = NULL);   // standard constructor
	virtual ~CHeroStatsEdit();

// Dialog Data
	enum { IDD = IDD_HERO_STATS_EDIT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedOk2();
	afx_msg void OnBnClickedOk();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
};

// CHeroStats dialog


class CHeroStats : public CDialogEx
{
	DECLARE_DYNAMIC(CHeroStats)

public:
	CHeroStats(CWnd* pParent = NULL);   // standard constructor
	virtual ~CHeroStats();

// Dialog Data
	enum { IDD = IDD_HERO_UNIQUE_STATS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:
	afx_msg void OnLvnLinkClickedHeroStatsList(NMHDR *pNMHDR, LRESULT *pResult);
};

// CHealing dialog


class CHealing : public CDialogEx
{
	DECLARE_DYNAMIC(CHealing)

public:
	CHealing(CWnd* pParent = NULL);   // standard constructor
	virtual ~CHealing();

// Dialog Data
	enum { IDD = IDD_HEALING };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CRetort dialog


class CRetort : public CDialogEx
{
	DECLARE_DYNAMIC(CRetort)

public:
	CRetort(CWnd* pParent = NULL);   // standard constructor
	virtual ~CRetort();

// Dialog Data
	enum { IDD = IDD_RETORT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CGoldMana dialog


class CGoldMana : public CDialogEx
{
	DECLARE_DYNAMIC(CGoldMana)

public:
	CGoldMana(CWnd* pParent = NULL);   // standard constructor
	virtual ~CGoldMana();

// Dialog Data
	enum { IDD = IDD_GOLD };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CSettings dialog

class CSettings : public CDialogEx
{
	DECLARE_DYNAMIC(CSettings)

public:
	CSettings(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSettings();

// Dialog Data
	enum { IDD = IDD_SETTINGS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnEnChangeWizardFolder();
	afx_msg void OnEnChangeTextFolder();
	afx_msg void OnBnClickedExtract();
	afx_msg void OnBnClickedWrite();
	afx_msg void OnBnClickedLoadText();
	afx_msg void OnBnClickedSaveText();
	afx_msg void OnBnClickedOk();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
};

// CSection dialog

class CSection : public CDialogEx
{
	DECLARE_DYNAMIC(CSection)

public:
	CSection(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSection();

// Dialog Data
	enum { IDD = IDD_SECTIONS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
	afx_msg void OnLbnSelchangeSectionButtons();
	afx_msg void OnLbnDblclkSectionButtons();
	afx_msg void OnBnClickedOk();
	virtual BOOL OnInitDialog();
	CListBox m_SectionButtons;
};

// CWizardPicks dialog

class CWizardPicks : public CDialogEx
{
	DECLARE_DYNAMIC(CWizardPicks)

public:
	CWizardPicks(CWnd* pParent = NULL);   // standard constructor
	virtual ~CWizardPicks();

// Dialog Data
	enum { IDD = IDD_PICKS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
};

// CItemRewards dialog


class CItemRewards : public CDialogEx
{
	DECLARE_DYNAMIC(CItemRewards)

public:
	CItemRewards(CWnd* pParent = NULL);   // standard constructor
	virtual ~CItemRewards();

// Dialog Data
	enum { IDD = IDD_RETORT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CCityDistance dialog


class CCityDistance : public CDialogEx
{
	DECLARE_DYNAMIC(CCityDistance)

public:
	CCityDistance(CWnd* pParent = NULL);   // standard constructor
	virtual ~CCityDistance();

// Dialog Data
	enum { IDD = IDD_CITY_DISTANCE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CRetortEffects dialog

class CRetortEffects : public CDialogEx
{
	DECLARE_DYNAMIC(CRetortEffects)

public:
	CRetortEffects(CWnd* pParent = NULL);   // standard constructor
	virtual ~CRetortEffects();

// Dialog Data
	enum { IDD = IDD_RETORT_EFFECTS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
};

// CSpellCharges dialog


class CSpellCharges : public CDialogEx
{
	DECLARE_DYNAMIC(CSpellCharges)

public:
	CSpellCharges(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSpellCharges();

// Dialog Data
	enum { IDD = IDD_SPELL_CHARGES };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CCreateItem dialog

class CCreateItem : public CDialogEx
{
	DECLARE_DYNAMIC(CCreateItem)

public:
	CCreateItem(CWnd* pParent = NULL);   // standard constructor
	virtual ~CCreateItem();

// Dialog Data
	enum { IDD = IDD_PICKS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
};

// CItemMaximum dialog


class CItemMaximum : public CDialogEx
{
	DECLARE_DYNAMIC(CItemMaximum)

public:
	CItemMaximum(CWnd* pParent = NULL);   // standard constructor
	virtual ~CItemMaximum();

// Dialog Data
	enum { IDD = IDD_ENCHANT_ITEM_MAX };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CDestroyedItems dialog


class CDestroyedItems : public CDialogEx
{
	DECLARE_DYNAMIC(CDestroyedItems)

public:
	CDestroyedItems(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDestroyedItems();

// Dialog Data
	enum { IDD = IDD_DESTROY_ITEM };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};


// CSpellsPerBook dialog

class CSpellsPerBook : public CDialogEx
{
	DECLARE_DYNAMIC(CSpellsPerBook)

public:
	CSpellsPerBook(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSpellsPerBook();

// Dialog Data
	enum { IDD = IDD_SPELLS_PER_BOOK };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CRandomEvents dialog


class CRandomEvents : public CDialogEx
{
	DECLARE_DYNAMIC(CRandomEvents)

public:
	CRandomEvents(CWnd* pParent = NULL);   // standard constructor
	virtual ~CRandomEvents();

// Dialog Data
	enum { IDD = IDD_RANDOM_EVENTS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CMapGeneration dialog


class CMapGeneration : public CDialogEx
{
	DECLARE_DYNAMIC(CMapGeneration)

public:
	CMapGeneration(CWnd* pParent = NULL);   // standard constructor
	virtual ~CMapGeneration();

// Dialog Data
	enum { IDD = IDD_MAP_GENERATION };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CBookResearch dialog


class CBookResearch : public CDialogEx
{
	DECLARE_DYNAMIC(CBookResearch)

public:
	CBookResearch(CWnd* pParent = NULL);   // standard constructor
	virtual ~CBookResearch();

// Dialog Data
	enum { IDD = IDD_MAP_GENERATION };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CHireHero dialog


class CHireHero : public CDialogEx
{
	DECLARE_DYNAMIC(CHireHero)

public:
	CHireHero(CWnd* pParent = NULL);   // standard constructor
	virtual ~CHireHero();

// Dialog Data
	enum { IDD = IDD_HIRE_HERO };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CHireMerc dialog


class CHireMerc : public CDialogEx
{
	DECLARE_DYNAMIC(CHireMerc)

public:
	CHireMerc(CWnd* pParent = NULL);   // standard constructor
	virtual ~CHireMerc();

// Dialog Data
	enum { IDD = IDD_MAP_GENERATION };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CMisc dialog


class CMisc : public CDialogEx
{
	DECLARE_DYNAMIC(CMisc)

public:
	CMisc(CWnd* pParent = NULL);   // standard constructor
	virtual ~CMisc();

// Dialog Data
	enum { IDD = IDD_MISC };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CFoodBonuses dialog


class CFoodBonuses : public CDialogEx
{
	DECLARE_DYNAMIC(CFoodBonuses)

public:
	CFoodBonuses(CWnd* pParent = NULL);   // standard constructor
	virtual ~CFoodBonuses();

// Dialog Data
	enum { IDD = IDD_FOOD_BONUS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};

// CItemBuyChance dialog


class CItemBuyChance : public CDialogEx
{
	DECLARE_DYNAMIC(CItemBuyChance)

public:
	CItemBuyChance(CWnd* pParent = NULL);   // standard constructor
	virtual ~CItemBuyChance();

// Dialog Data
	enum { IDD = IDD_FOOD_BONUS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOk2();
	virtual BOOL OnInitDialog();
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);

public:

};